%define _gitver	ff7641193a
%define rel 0.%{_gitver}.2

Name:		novacom-client
Version:	1.1.0
Release:	%mkrel %{rel}
Summary:	Client for utility to connect to WebOS devices
Group:		Development/Tools
License:	Apache License
URL:		https://github.com/openwebos/novacom
# git clone https://github.com/openwebos/novacom.git
# cd novacom
# git archive --prefix=novacom-git-ff7641193a/ --format tar.gz -o ../novacom-git-ff7641193a.tar.gz ff7641193a
Source0:	novacom-git-%{_gitver}.tar.gz
Source1:	novaterm
# This patch forces the makefile to use our CFLAGS and link properly
Patch0:		novacom-makefile-fixes.patch
Patch1:		novacom-remove-base64.patch

%description
Novacom allows you to connect to WebOS devices that are connected over USB.
You must have novacom-server installed to use it.

%package -n novacom
Summary:	Utility to connect to WebOS devices
Group:		Development/Tools
Requires:	novacom-client = %{version}-%{release}
Requires:	novacom-server

%description -n novacom
Novacom allows you to connect to WebOS devices that are connected over USB.

This package installs both the client and the server.

%prep
%setup -q -n novacom-git-%{_gitver}
%patch0 -p1
%patch1 -p1
# Remove bundled base64 library that's available in libtomcrypt
rm -f src/base64.c src/base64.h

%build
%make LDFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
install -m 755 build-novacom/novacom %{buildroot}%{_bindir}
install -m 755 %{SOURCE1} %{buildroot}%{_bindir}

%files
%doc README.md
%{_bindir}/novacom
%{_bindir}/novaterm

%files -n novacom
%doc README.md



%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.1.0-0.ff7641193a.2.mga4
+ Revision: 523310
- Mageia 4 Mass Rebuild

* Sat Apr 06 2013 blino <blino> 1.1.0-0.ff7641193a.1.mga3
+ Revision: 408620
- use Mageia-style release
- fix license tag
- use buildroot macro
- remove clean section and buildroot
- use make macro
- simplify description
- imported package novacom-client


* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-0.6.rc1.git.ff7641193a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-0.5.rc1.git.ff7641193a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon May  7 2012 Jonathan Dieter <jdieter@lesbg.com> - 1.1.0-0.4.rc1.git.ff7641193a
- Fix Requires for novacom

* Thu Apr 26 2012 Jonathan Dieter <jdieter@lesbg.com> - 1.1.0-0.3.rc1.git.ff7641193a
- Remove unused base64 functions
- Use consistent RPM_OPT_FLAGS and RPM_BUILD_ROOT variables
- Change define macro to global
- Remove unnecessary BR: glibc-devel

* Thu Apr 12 2012 Jonathan Dieter <jdieter@lesbg.com> - 1.1.0-0.2.rc1.git.ff7641193a
- Rename to novacom-client and add novacom subpackage that pulls in both
  -client and -server
- Remove unneeded defattr line

* Mon Apr  2 2012 Jonathan Dieter <jdieter@lesbg.com> - 1.1.0-0.1.rc1.git.ff7641193a
- Initial release
